Subject: Electronic Resources on Lepidoptera

From: [email-masked]
Date: 4 Dec 1996 13:53:20 GMT

Hi folks!

Just thought I'd let any newcomers know that a central compendium of 
electronic information on Lepidoptera is:

   Linkname: Electronic Resources on Lepidoptera
        URL: http://www.chebucto.ns.ca/Environment/NHR/lepidoptera.html

Please let me know if you know of additional materials that are not 
listed here.

All the best!

Christopher Majka

--
| Christopher Majka - Editor-in-Chief: Chebucto Community Net               |
| Halifax, Nova Scotia, Canada  |  also Editor: Culture & Philosophy        |
| URL = http://www.chebucto.ns.ca/Culture.html EMail <[email-masked]  |